import { listBookmarks as publicListBookmarks, createBookmark as publicCreateBookmark, deleteBookmark as publicDeleteBookmark } from './events-schedule-v1-schedule-item-schedule-bookmarks.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const listBookmarks: MaybeContext<BuildRESTFunction<typeof publicListBookmarks> & typeof publicListBookmarks>;
export declare const createBookmark: MaybeContext<BuildRESTFunction<typeof publicCreateBookmark> & typeof publicCreateBookmark>;
export declare const deleteBookmark: MaybeContext<BuildRESTFunction<typeof publicDeleteBookmark> & typeof publicDeleteBookmark>;
export { ScheduleStatus, StateFilter, SortOrder, } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal.js';
export { ScheduleItem, TimeInterval, ListScheduleItemsRequest, Paging, ListScheduleItemsResponse, FacetCounts, PagingMetadataV2, Cursors, QueryScheduleItemsRequest, QueryV2, QueryV2PagingMethodOneOf, Sorting, QueryScheduleItemsResponse, GetScheduleItemRequest, GetScheduleItemResponse, AddScheduleItemRequest, ScheduleItemData, AddScheduleItemResponse, UpdateScheduleItemRequest, UpdateScheduleItemResponse, DeleteScheduleItemRequest, DeleteScheduleItemResponse, DiscardDraftRequest, DiscardDraftResponse, PublishDraftRequest, PublishDraftResponse, RescheduleDraftRequest, RescheduleDraftResponse, ListBookmarksRequest, ListBookmarksResponse, CreateBookmarkRequest, CreateBookmarkResponse, DeleteBookmarkRequest, DeleteBookmarkResponse, } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal.js';
