"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortOrder = exports.StateFilter = exports.ScheduleStatus = void 0;
var ScheduleStatus;
(function (ScheduleStatus) {
    /** Item is scheduled for a future date. */
    ScheduleStatus["SCHEDULED"] = "SCHEDULED";
    /** Item is canceled. */
    ScheduleStatus["CANCELED"] = "CANCELED";
})(ScheduleStatus || (exports.ScheduleStatus = ScheduleStatus = {}));
var StateFilter;
(function (StateFilter) {
    /** Schedule item is published. */
    StateFilter["PUBLISHED"] = "PUBLISHED";
    /** Schedule item is in draft. */
    StateFilter["DRAFT"] = "DRAFT";
    /** Schedule item is visible to the event's guests. */
    StateFilter["VISIBLE"] = "VISIBLE";
    /** Schedule item is hidden to the event's guests. */
    StateFilter["HIDDEN"] = "HIDDEN";
})(StateFilter || (exports.StateFilter = StateFilter = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["ASC"] = "ASC";
    SortOrder["DESC"] = "DESC";
})(SortOrder || (exports.SortOrder = SortOrder = {}));
//# sourceMappingURL=events-schedule-v1-schedule-item-schedule-bookmarks.types.js.map