import { createBookmark as universalCreateBookmark, deleteBookmark as universalDeleteBookmark, listBookmarks as universalListBookmarks, } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/events' };
export function listBookmarks(httpClient) {
    return (eventId) => universalListBookmarks(eventId, 
    // @ts-ignore
    { httpClient });
}
export function createBookmark(httpClient) {
    return (itemId, eventId) => universalCreateBookmark(itemId, eventId, 
    // @ts-ignore
    { httpClient });
}
export function deleteBookmark(httpClient) {
    return (itemId, eventId) => universalDeleteBookmark(itemId, eventId, 
    // @ts-ignore
    { httpClient });
}
export { ScheduleStatus, SortOrder, StateFilter, } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal.js';
//# sourceMappingURL=events-schedule-v1-schedule-item-schedule-bookmarks.public.js.map