"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteBookmark = exports.createBookmark = exports.listBookmarks = void 0;
const ambassadorWixEventsScheduleV1ScheduleItem = __importStar(require("./events-schedule-v1-schedule-item-schedule-bookmarks.http.js"));
function listBookmarks() {
    const payload = {};
    const getRequestOptions = ambassadorWixEventsScheduleV1ScheduleItem.listBookmarks(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/schedule/bookmarks',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listBookmarks = listBookmarks;
function createBookmark() {
    const payload = { itemId: ':itemId' };
    const getRequestOptions = ambassadorWixEventsScheduleV1ScheduleItem.createBookmark(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/schedule/{itemId}/bookmark',
        pathParams: { itemId: 'itemId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createBookmark = createBookmark;
function deleteBookmark() {
    const payload = { itemId: ':itemId' };
    const getRequestOptions = ambassadorWixEventsScheduleV1ScheduleItem.deleteBookmark(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/schedule/{itemId}/bookmark',
        pathParams: { itemId: 'itemId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteBookmark = deleteBookmark;
//# sourceMappingURL=events-schedule-v1-schedule-item-schedule-bookmarks.meta.js.map