import * as ambassadorWixEventsScheduleV1ScheduleItem from './events-schedule-v1-schedule-item-schedule-bookmarks.http.js';
export function listBookmarks() {
    const payload = {};
    const getRequestOptions = ambassadorWixEventsScheduleV1ScheduleItem.listBookmarks(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/schedule/bookmarks',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function createBookmark() {
    const payload = { itemId: ':itemId' };
    const getRequestOptions = ambassadorWixEventsScheduleV1ScheduleItem.createBookmark(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/schedule/{itemId}/bookmark',
        pathParams: { itemId: 'itemId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteBookmark() {
    const payload = { itemId: ':itemId' };
    const getRequestOptions = ambassadorWixEventsScheduleV1ScheduleItem.deleteBookmark(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/schedule/{itemId}/bookmark',
        pathParams: { itemId: 'itemId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=events-schedule-v1-schedule-item-schedule-bookmarks.meta.js.map